## MetaBackgroundActor MetaBackgroundActor — Actor for painting the root window background |

## Properties

MetaBackground * | background | Read / Write
gdouble | brightness | Read / Write
MetaScreen * | meta-screen | Read / Write / Construct Only
gint | monitor | Read / Write / Construct Only
gboolean | vignette | Read / Write
gdouble | vignette-sharpness | Read / Write

## Types and Values

struct | MetaBackgroundActor
struct | MetaBackgroundActorClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── MetaBackgroundActor

## Implemented Interfaces

MetaBackgroundActor implements ClutterContainer, ClutterScriptable, ClutterAnimatable, AtkImplementorIface and MetaCullable.

## Description

## Functions

## Types and Values

### struct MetaBackgroundActor

    struct MetaBackgroundActor;

This class handles tracking and painting the root window background. By integrating with MetaWindowGroup we can avoid painting parts of the background that are obscured by other windows.

### struct MetaBackgroundActorClass

    struct MetaBackgroundActorClass {
    };

## Property Details

### The `“background”` property

      “background”               MetaBackground *

MetaBackground object holding background parameters.

Flags: Read / Write

### The `“brightness”` property

      “brightness”               gdouble

Brightness of vignette effect.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“meta-screen”` property

      “meta-screen”              MetaScreen *

MetaScreen.

Flags: Read / Write / Construct Only

### The `“monitor”` property

      “monitor”                  gint

monitor.

Flags: Read / Write / Construct Only

Allowed values: >= 0

Default value: 0

### The `“vignette”` property

      “vignette”                 gboolean

Whether vignette effect is enabled.

Flags: Read / Write

Default value: FALSE

### The `“vignette-sharpness”` property

      “vignette-sharpness”       gdouble

Sharpness of vignette effect.

Flags: Read / Write

Allowed values: >= 0

Default value: 0